# $Id: kwin-activeheart.spec,v 1.1 2004/04/04 23:02:51 rexdieter Exp $

%define	theme activeheart 

Name:  	 kwin-activeheart 
Summary: KWin client for "Active Heart" style 
Version: 1.1
Release: 1%{?dist}

Source:  http://www.kde-look.org/content/files/11460-kwin-activeheart-1.1.tar.bz2
URL:	 http://www.kde-look.org/content/show.php?content=11460
Group: 	 User Interface/Desktop
License: GPL 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{?!_icondir:%define _icondir   %{_datadir}/icons}
%{?!theme:%define theme %{name}}

BuildRequires: kdelibs-devel >= 6:3.3
BuildRequires: kdebase-devel
## Not *strictly* required -- Rex
Requires(hint): kdebase


%description
This is Kwin client for "Active Heart" style.
This windeco was created based on keramik.


%prep

%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_datadir}/apps/kwin/*.desktop
%{_libdir}/kde3/kwin*_%{theme}*.*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Feb 21 2006 Rex Dieter 1.1-1
- cleanup

* Wed May 25 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.1-0.1.kde
- rebuild against kde-3.4.x

